Last Comment Bug 666751 - Crashing on mail.yandex.ru/lenta (RSS reader)
: Crashing on mail.yandex.ru/lenta (RSS reader)
Status: RESOLVED FIXED
: crash, crashreportid, regression, testcase
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- critical with 1 vote (vote)
: mozilla7
Assigned To: Mats Palmgren (:mats)
:
Mentors:
http://mail.yandex.ru/lenta
Depends on:
Blocks: 312156
  Show dependency treegraph
 
Reported: 2011-06-23 14:27 PDT by Yakove
Modified: 2012-07-03 10:02 PDT (History)
12 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (667 bytes, patch)
2011-06-23 16:20 PDT, Mats Palmgren (:mats)
roc: review+
Details | Diff | Splinter Review
testcase (225 bytes, text/html)
2011-06-23 16:23 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
testcase (251 bytes, text/html)
2011-06-23 16:29 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
Frame dump (11.25 KB, text/html)
2011-06-23 17:23 PDT, Mats Palmgren (:mats)
no flags Details
crash tests (2.18 KB, patch)
2011-06-23 17:56 PDT, Mats Palmgren (:mats)
roc: review+
Details | Diff | Splinter Review

Description Yakove 2011-06-23 14:27:25 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:7.0a1) Gecko/20110623 Firefox/7.0a1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:7.0a1) Gecko/20110623 Firefox/7.0a1

2011/06/23 crashes on 20110623 http://mail.yandex.ru/lenta

Reports:
https://crash-stats.mozilla.com/report/index/bp-85abffa9-1b77-4dcd-b6a5-d6a352110623
https://crash-stats.mozilla.com/report/index/bp-4fea2d00-bcf1-4917-a88c-281dc2110623
https://crash-stats.mozilla.com/report/index/bp-862184bb-61c9-41ef-9124-1d3f52110623

On yesterday's build no crashes

Reproducible: Always

Steps to Reproduce:
1. Go to http://mail.yandex.ru/lenta (need an yandex account and couple of 
rss feeds there)
2. Crash


Actual Results:  
Browser crashes

Expected Results:  
No crashes
Comment 1 Thomas Ahlblom 2011-06-23 14:32:05 PDT
0 	xul.dll 	nsLayoutUtils::GetCrossDocParentFrame 	layout/base/nsLayoutUtils.cpp:475
1 	xul.dll 	mozilla::css::IsFrameDescendantOfAny 	layout/generic/TextOverflow.cpp:184
2 	xul.dll 	mozilla::css::TextOverflow::PruneDisplayListContents 	layout/generic/TextOverflow.cpp:516
3 	xul.dll 	mozilla::css::TextOverflow::ProcessLine 	layout/generic/TextOverflow.cpp:502
4 	xul.dll 	DisplayLine
Comment 2 Mats Palmgren (:mats) 2011-06-23 16:20:50 PDT
Created attachment 541534 [details] [diff] [review]
fix

I'm pretty sure this will fix it.

Still, I'd really like to have a look at frame tree / display items
when this crash occurs.
Comment 3 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-06-23 16:23:18 PDT
Created attachment 541535 [details]
testcase

It's not completely minimized yet, working on it.
Comment 4 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-06-23 16:29:43 PDT
Created attachment 541541 [details]
testcase

This is more or less minimized.
Comment 5 Mats Palmgren (:mats) 2011-06-23 16:47:17 PDT
Thanks Martijn!  I can reproduce the crash, investigating...
Comment 6 Mats Palmgren (:mats) 2011-06-23 17:23:39 PDT
Created attachment 541557 [details]
Frame dump

It's a display item for a fixed pos. frame.  Hmm, I didn't expect that there,
I thought those would end up on their containing block's display lists.
Oh well, the attached null-check should fix it.
Comment 7 Mats Palmgren (:mats) 2011-06-23 17:56:02 PDT
Created attachment 541566 [details] [diff] [review]
crash tests
Comment 8 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-23 20:49:28 PDT
Comment on attachment 541534 [details] [diff] [review]
fix

Review of attachment 541534 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 9 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-23 20:49:46 PDT
Comment on attachment 541566 [details] [diff] [review]
crash tests

Review of attachment 541566 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 10 Yakove 2011-06-24 11:37:33 PDT
Please land it!
Comment 11 Mats Palmgren (:mats) 2011-06-24 11:56:22 PDT
(In reply to comment #10)
> Please land it!

Hey, no need to be rude!  FYI, comments like that *never* helps.
Comment 12 Rob Tonsan 2011-06-24 12:08:39 PDT
Implying that he is rude...
Implying that you not spam this bug (like me now)...
Comment 14 Marcia Knous [:marcia - use ni] 2011-06-27 14:42:57 PDT
Adding Mac signature so it gets picked up in crash stats.
Comment 15 Axel Hecht 2012-07-02 15:34:34 PDT
https://crash-stats.mozilla.com/report/index/bp-cd2fdd6e-dee9-42dd-b8b1-93fae2120702 pointed me to this bug, build id is 20120702030551

Note You need to log in before you can comment on or make changes to this bug.